Fulfill an order

Fulfill or cancel order. Post all fulfillments together to the Rest API for the order to move to fulfilled state. As a PUT request, the fulfillment call fully replaces all fulfillments currently stored in FeedAMP for the particular order. New fulfillments may be added to prior ones by retrieving the fulfillments via a GET request, and then calling the PUT /fulfill endpoint with the new fulfillments added. Once all items have been fulfilled, the order will change state and no longer accept further updates. If the order contains cancellations: * Cancellation Reasons must be one of the following reasons: [customer_cancelled, unable_to_ship, out_of_stock, price_error, tax_error, shipping_price_error, other]. * _Please be aware that the use of 'other' is not recommended - some marketplaces may not accept it_.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP order id.

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Response

Sample Response
orderobject